Skip to main content
GET
/
email
/
threads
/
{thread_id}
Get Thread
curl --request GET \
  --url https://api.decodahealth.com/email/threads/{thread_id} \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
{
  "id": "<string>",
  "subject": "<string>",
  "snippet": "<string>",
  "isRead": true,
  "isStarred": true,
  "isArchived": true,
  "firstMessageDate": "2023-11-07T05:31:56Z",
  "lastMessageDate": "2023-11-07T05:31:56Z",
  "createdDate": "2023-11-07T05:31:56Z",
  "updatedDate": "2023-11-07T05:31:56Z",
  "messages": []
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

thread_id
string
required

Response

Successful Response

Full email thread with messages.

id
string
required
subject
string | null
required
snippet
string | null
required
isRead
boolean
required
isStarred
boolean
required
isArchived
boolean
required
firstMessageDate
string<date-time> | null
required
lastMessageDate
string<date-time> | null
required
createdDate
string<date-time>
required
updatedDate
string<date-time> | null
required
messages
EmailMessageResponse · object[]